


#ifndef PLAYERSETTINGSPLUGIN_H
#define PLAYERSETTINGSPLUGIN_H

#include <CompuCell3D/Plugin.h>

#include <CompuCell3D/plugins/PlayerSettings/PlayerSettings.h>

namespace CompuCell3D {


  class PlayerSettingsPlugin : public Plugin {

  PlayerSettings playerSettings;
    
  public:
    PlayerSettingsPlugin();
    virtual ~PlayerSettingsPlugin();

    
    ///SimObject interface
    virtual void extraInit(Simulator *simulator);
    
   PlayerSettings getPlayerSettings() const {return playerSettings;} ;

    ///Begin XMLSerializable interface
    virtual void readXML(XMLPullParser &in);
    virtual void writeXML(XMLSerializer &out);
    ///End XMLSerializable interface

    
  };


};
#endif


